io.vertx.redis.op

## Enum SlotCmd

- java.lang.Object
- - java.lang.Enum<SlotCmd>
  - - io.vertx.redis.op.SlotCmd

- All Implemented Interfaces:
    Serializable, Comparable<SlotCmd>

  Deprecated.
  Use `Redis`

      @Deprecated
      public enum SlotCmd
      extends Enum<SlotCmd>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMPORTING` Deprecated.
    `MIGRATING` Deprecated.
    `NODE` Deprecated.
    `STABLE` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SlotCmd` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static SlotCmd[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMPORTING

          public static final SlotCmd IMPORTING

      Deprecated.

    - #### MIGRATING

          public static final SlotCmd MIGRATING

      Deprecated.

    - #### STABLE

          public static final SlotCmd STABLE

      Deprecated.

    - #### NODE

          public static final SlotCmd NODE

      Deprecated.

  - ### Method Detail

    - #### values

          public static SlotCmd[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SlotCmd c : SlotCmd.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SlotCmd valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 Eclipse. All rights reserved.